Subject: Re: Disappearing profile?

From: Ludovic Courtès <[email-masked]>
Date: Tue, 16 Jul 2019 22:56:45 +0200

Hi,

[email-masked] skribis:

>> What do you mean by “my profile disappeared once again”?  Is the
>> ~/.guix-profile symlink still around?  What does:
>> 
>>  readlink -f ~/.guix-profile
>> 
>> show?
>> 
>
> .guix-profile points to /var/guix/profiles/per-user/matthieu/guix-profile as it should. But the packages
> that I had installed, like file or the urxvt command from rxvt-unicode, are no longer in my path. 

You mean no longer in $PATH?

> The last time this happened, my manifest file was still working, but guix package -I told that I had no installed package.

What do you mean by your “manifest file was still working”?

It would be great if you could paste commands that you typed and their
output, so we can more easily understand what is going wrong.

>> Regarding the “unsupported manifest format” error: what’s the content of
>> ~/.guix-profile/manifest?  (You previously posted the contents of
>> ~/.config/guix/current/manifest, but it’s not relevant here.)
>
> It exists, but is entirely empty (has size 0)

Then the store must be corrupt.  ~/.guix-profile/manifest cannot be
empty, even you ran several ‘guix’ commands in parallel.

Could you run:

  guix gc --verify=contents

?

Thanks,
Ludo’.